Package uk.ac.starlink.topcat

## Class LoadingToken

- java.lang.Object
- - uk.ac.starlink.topcat.LoadingToken

-     public class LoadingToken
      extends java.lang.Object

  Object corresponding to a table currently in the process of being loaded.
  Since:
    9 April 2009
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoadingToken​(java.lang.String targetText)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setProgress​(java.lang.String progText)` | Sets text to display which indicates progress.
    `void` | `setTarget​(java.lang.String targetText)` | Sets the target text.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadingToken

          public LoadingToken​(java.lang.String targetText)

      Constructor.
      Parameters:
        `targetText` - short description of item being loaded

  - ### Method Detail

    - #### setTarget

          public void setTarget​(java.lang.String targetText)

      Sets the target text.
      Parameters:
        `targetText` - a short description of the item being loaded.

    - #### setProgress

          public void setProgress​(java.lang.String progText)

      Sets text to display which indicates progress.
      Parameters:
        `progText` - progress text

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.